package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.XAAAccessProfileScopeBinding.DeleteBindings(ctx, operations.C1APICrossAppAccessV1XAAAccessProfileScopeBindingServiceDeleteBindingsRequest{
AccessProfileID: "<id>",
AppID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.XAAAccessProfileScopeBindingServiceDeleteResponse != nil {
// handle response
}
}curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/xaa/access_profiles/{access_profile_id}/scope_bindings/delete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"xaaScopeIds": [
"<string>"
]
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/xaa/access_profiles/{access_profile_id}/scope_bindings/delete"
payload = { "xaaScopeIds": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({xaaScopeIds: ['<string>']})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/xaa/access_profiles/{access_profile_id}/scope_bindings/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Delete Bindings
DeleteBindings unbinds one or more scopes (xaa_scope_ids) from an access profile. Uses a POST …/delete action route because the scope IDs travel in the request body, which HTTP DELETE does not reliably support.
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.XAAAccessProfileScopeBinding.DeleteBindings(ctx, operations.C1APICrossAppAccessV1XAAAccessProfileScopeBindingServiceDeleteBindingsRequest{
AccessProfileID: "<id>",
AppID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.XAAAccessProfileScopeBindingServiceDeleteResponse != nil {
// handle response
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The application that owns the resource server.
The access profile to unbind scopes from.
Body
XAAAccessProfileScopeBindingServiceDeleteRequest unbinds scopes from a profile.
Scope IDs to unbind from the access profile.
Response
XAAAccessProfileScopeBindingServiceDeleteResponse confirms deletion.
XAAAccessProfileScopeBindingServiceDeleteResponse confirms deletion.
Was this page helpful?